<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plugin SYSTEM "jnode.dtd">

<plugin id="org.jnode.driver.serial"
    name="JNode serial port driver"
    version="@VERSION@"
    license-name="lgpl"
    provider-name="JNode.org">

    <requires>
        <import plugin="org.jnode.driver.character"/>
    </requires>

    <runtime>
        <library name="jnode-core.jar">
            <export name="org.jnode.driver.serial.*"/>
        </library>
    </runtime>

    <extension point="org.jnode.driver.finders">
        <finder class="org.jnode.driver.serial.SerialPortFinder"/>
    </extension>

    <extension point="org.jnode.security.permissions">
        <permission class="org.jnode.system.ResourcePermission" name="ioports"/>
    </extension>

</plugin>
